import request from '@/utils/request'

export function getVarietyPage(data) {
  return request({
    url: '/base-variety/page',
    method: 'get',
    params: data
  })
}

export function getVarietyList(data) {
  return request({
    url: '/base-variety/list',
    method: 'post',
    data: data
  })
}

export function getVarietyById(data) {
  return request({
    url: '/base-variety/listById',
    method: 'post',
    data: data
  })
}

export function addVariety(data) {
  return request({
    url: '/base-variety/add',
    method: 'post',
    data: data
  })
}

export function editVariety(data) {
  return request({
    url: '/base-variety/edit',
    method: 'post',
    data: data
  })
}

export function delVariety(data) {
  return request({
    url: '/base-variety/delete',
    method: 'post',
    data: data
  })
}
